S3QLRM(1)

NAME
s3qlrm - Fast tree removal on S3QL file systems

SYNOPSIS

        s3qlrm [options] <directory>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3qlrm command recursively deletes files and directories on an S3QL file system. Although s3qlrm is faster than using e.g. rm -r, the main reason for its existence is that it allows you to delete immutable trees (which can be created with s3qllock) as well.

Be warned that there is no additional confirmation. The directory will be removed entirely and immediately.

s3qlrm can only be called by the user that mounted the file system and (if the file system was mounted with --allow-other or --allow-root) the root user.

OPTIONS

The s3qlrm command accepts the following options:

            --log <target>
                Destination for log messages. Specify none for standard output or syslog for the system logging daemon. Anything else will be interpreted as a file name. Log files will be rotated when they reach 1 MiB, and at most 5 old log files will be kept. Default: None

            --debug-modules <modules>
                Activate debugging output from specified modules (use commas to separate multiple modules, 'all' for everything). Debug messages will be written to the target specified by the --log option.

            --debug
                Activate debugging output from all S3QL modules. Debug messages will be written to the target specified by the --log option.

            --quiet
                be really quiet

            --version
                just print program version and exit

EXIT CODES

s3qlrm may terminate with the following exit codes:

    0   Everything went well.

    1   An unexpected error occurred. This may indicate a bug in the program.

    2   Invalid command line argument or configuration file key.

SEE ALSO

The S3QL homepage is at https://github.com/s3ql/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>